Skip to main content

Retrieve a collection of transactions

GET 

/api/transactions

This API endpoint is designed to retrieve a collection of transactions, providing a valuable tool for accessing recent transaction data for an account within your system.

Request

Query Parameters

    includeTransactionDetail boolean
    includeExternalIntegrations boolean

    Include externalIntegrations field in response items.

    page integer

    Default value: 1

    The collection page number

    itemsPerPage integer

    Possible values: <= 50

    Default value: 30

    The number of items per page

    pagination boolean

    Enable or disable pagination

    abs_amount[lt] string

    Filter by absolute amount

    abs_amount[lte] string

    Filter by absolute amount

    abs_amount[gt] string

    Filter by absolute amount

    abs_amount[gte] string

    Filter by absolute amount

    type string

    Possible values: [fee, fx, peer, payout, payin, card]

    account string
    contact string
    executed boolean
    createdAt[lte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    createdAt[lt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    createdAt[gte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    createdAt[gt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    updatedAt[lte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    updatedAt[lt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    updatedAt[gte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    updatedAt[gt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[lte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[lt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[gte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[gt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    order[createdAt] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

    order[updatedAt] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

    order[executionDate] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

    order[id] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

Responses

OK - The request was processed successfully.

Schema
    any
Loading...